ResourceFilterAppliesTo (Gradle API 9.7.0)
Description: declaration: package: org.gradle.plugins.ide.eclipse.model, enum: ResourceFilterAppliesTo

# Enum ResourceFilterAppliesTo

java.lang.Object
java.lang.Enum<ResourceFilterAppliesTo>
org.gradle.plugins.ide.eclipse.model.ResourceFilterAppliesTo

All Implemented Interfaces:
  `Serializable, Comparable<ResourceFilterAppliesTo>, Constable`

public enum ResourceFilterAppliesTo extends Enum<ResourceFilterAppliesTo>
Specifies the type of resource that the Eclipse `ResourceFilter` applies to.

Since:
  3.5

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILES`
  `FILES_AND_FOLDERS`
  `FOLDERS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResourceFilterAppliesTo`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ResourceFilterAppliesTo[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILES

    public static final ResourceFilterAppliesTo FILES

  - ### FOLDERS

    public static final ResourceFilterAppliesTo FOLDERS

  - ### FILES_AND_FOLDERS

    public static final ResourceFilterAppliesTo FILES_AND_FOLDERS

- ## Method Details

  - ### values

    public static ResourceFilterAppliesTo[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ResourceFilterAppliesTo valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null